{{define "form_login"}}

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <!-- Favicon icon -->
    <link rel="icon" type="image/png" sizes="16x16" href="/static/images/favicon.png">
    <title>E-Survey Satisfaction v.1</title>
    <!-- Bootstrap Core CSS -->
    
    <link href="/static/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <!-- Custom CSS -->
    <link href="/static/css/style.css" rel="stylesheet">
    <!-- You can change the theme colors from here -->
    <link href="/static/css/colors/blue.css" id="theme" rel="stylesheet">
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->
</head>

<body>
    <!-- ============================================================== -->
    <!-- Preloader - style you can find in spinners.css -->
    <!-- ============================================================== -->
    <div class="preloader">
        <svg class="circular" viewBox="25 25 50 50">
            <circle class="path" cx="50" cy="50" r="20" fill="none" stroke-width="2" stroke-miterlimit="10" /> </svg>
    </div>
    <!-- ============================================================== -->
    <!-- Main wrapper - style you can find in pages.scss -->
    <!-- ============================================================== -->
    <section id="wrapper">
        <div class="login-register">
            <div class="login-box card">
                <div class="card-body">
                    <form class="form-horizontal form-material" id="loginform" action="/login/" method="POST" onsubmit="return validasi_input(this)">
                            <a href="javascript:void(0)" onclick="location.reload()" class="text-center db"><img src="/static/images/logo-icon.png" alt="MartinCodes" width="100" />
                                <br/>
                                <br/>
                                    <h4 align="center" class="box-title m-b-15 text-muted">E-Survey Satisfaction v.1</h4>
                                <br/>
                            </a>
                        <p style="margin-top: 10px;"></p>
                        <h3 class="box-title m-b-20"></h3>

                        <div class="form-group" id="username">
                            <div class="col-xs-12">
                                <input name="username" class="form-control" type="text" placeholder="Username"> 
                            </div>
                            <small class="form-control-feedback" id="alert-username"></small>
                        </div>

                        <div class="form-group" id="password">
                            <div class="col-xs-12">
                                <input name="password" class="form-control" type="password" placeholder="Password">
                            </div>
                            <small class="form-control-feedback" id="alert-password"></small>
                        </div>

                        <div class="form-group" id="login_verification">
                        </div>

                        <div class="form-group text-center m-t-20">
                            <div class="col-xs-12">
                                <button class="btn btn-info btn-lg btn-block text-uppercase waves-effect waves-light" type="submit">Log In</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </section>
    <!-- ============================================================== -->
    <!-- End Wrapper -->
    <!-- ============================================================== -->
    <!-- ============================================================== -->
    <!-- All Jquery -->
    <!-- ============================================================== -->
    <script src="/static/plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap tether Core JavaScript -->
    <script src="/static/plugins/bootstrap/js/popper.min.js"></script>
    <script src="/static/plugins/bootstrap/js/bootstrap.min.js"></script>
    <!-- slimscrollbar scrollbar JavaScript -->
    <script src="/static/js/jquery.slimscroll.js"></script>
    <!--Wave Effects -->
    <script src="/static/js/waves.js"></script>
    <!--Menu sidebar -->
    <script src="/static/js/sidebarmenu.js"></script>
    <!--stickey kit -->
    <script src="/static/plugins/sticky-kit-master/dist/sticky-kit.min.js"></script>
    <script src="/static/plugins/sparkline/jquery.sparkline.min.js"></script>
    <!--Custom JavaScript -->
    <script src="/static/js/custom.min.js"></script>
    <!-- ============================================================== -->
    <!-- Style switcher -->
    <!-- ============================================================== -->
    <script src="/static/plugins/styleswitcher/jQuery.style.switcher.js"></script>
</body>

<div id="modal_session_expire" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header bg-info">
                <h4 class="modal-title text-white text-center">Sign In</h4>
                <button type="button" class="close text-white" data-dismiss="modal" aria-hidden="true">×</button>
            </div>
            <div class="modal-body">
                <div class="alert alert-warning">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"> <span aria-hidden="true">×</span> </button>
                    <h5 class="text-warning"><i class="fa fa-exclamation-triangle"></i> Warning</h5> 
                    Login session expired
                    please log in again
                </div>
                <form id="form_login_Session" autocomplete="off">
                        <div class="form-group" id="username">
                            <div class="col-xs-12">
                                <input name="username" class="form-control" type="text" placeholder="Username" autocomplete="off"> 
                            </div>
                            <small class="form-control-feedback" id="alert-username"></small>
                        </div>

                        <div class="form-group" id="password">
                            <div class="col-xs-12">
                                <input name="password" class="form-control" type="password" placeholder="Password" autocomplete="off">
                            </div>
                            <small class="form-control-feedback" id="alert-password"></small>
                        </div>

                        <div class="form-group" id="login_verification_session">
                        </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-info waves-effect waves-light" onclick="log_in_session()">LOG IN</button>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">

// get param no po
var getUrlParameter = function getUrlParameter(sParam) {
    var sPageURL = window.location.search.substring(1),
        sURLVariables = sPageURL.split('&'),
        sParameterName,
        i;

    for (i = 0; i < sURLVariables.length; i++) {
        sParameterName = sURLVariables[i].split('=');

        if (sParameterName[0] === sParam) {
            return sParameterName[1] === undefined ? true : decodeURIComponent(sParameterName[1]);
        }
    }
};

function validasi_input(form){

    $('.has-success').removeClass( "has-success");
    $('.has-danger').removeClass( "has-danger");
    $('.form-control-feedback').text("");

    // validasi
    if (form.username.value == ""){
        $("#username").addClass("form-group has-danger");
        $("#alert-username").text("Please fill in Username");
        form.username.focus();
        return (false);
    }
    if (form.password.value == ""){
        $("#password").addClass("form-group has-danger");
        $("#alert-password").text("Please fill in Password");
        form.password.focus();
        return (false);
    }

    return (true);
}

$(document).ready(function(){
    // login_verification
    var login_verification        = getUrlParameter('login_verification');
    if (login_verification == "username_false") {   

        $("#login_verification .alert-danger").remove();
        notification = '<div class="alert alert-danger">'+
                            'Cant find your account  </br> We could not find the username in the system'+
                        '</div>';
        $("#login_verification").html(notification);
    }else if (login_verification == "password_false") {        
        $("#login_verification .alert-danger").remove();
        notification = '<div class="alert alert-danger">'+
                            'Cant find your account  </br> Your password is incorrect'+
                        '</div>';
        $("#login_verification").html(notification);
    }else{
        $("#login_verification .alert-danger").remove();
    }
    // session_expire
    var session_expire        = getUrlParameter('session_expire');
    if (session_expire == "true") {
        $("#modal_session_expire").modal("show");
    }
});

function log_in_session(){
    url ="/login/";
    var formData = new FormData($('#form_login_Session')[0]);
    $.ajax({
        url : url,
        type: "POST",
        data: formData,
        contentType: false,
        processData: false,
        dataType: "JSON",
        success: function(data){
            location.reload();
        },
        error: function (data){
            location.reload();
        }
    });
}

</script>
</html>

{{end}}